%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define commit 5e2dc9

Name:           fusion-icon
Version:        0.1.0
Release:        0.8.%{commit}git%{?dist}
Summary:        Compiz Fusion panel applet
Group:          User Interface/Desktops
License:        GPLv2+

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# git clone git://anongit.opencompositing.org/users/crdlb/fusion-icon fusion-icon-5e2dc9
# cd fusion-icon-5e2dc9
# git checkout 5e2dc9
# rm -rf .git ; cd ../
# tar -czvf fusion-icon-5e2dc9.tar.gz fusion-icon-5e2dc9

URL:            http://www.opencompositing.org
Source0:        %{name}-%{commit}.tar.gz
Patch0:         %{name}-runpatch.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       ccsm %{name}-ui=%{version}-%{release}
BuildArch:      noarch
ExcludeArch:    ppc64

%description
The Compiz Fusion Icon is a simple panel applet for starting and controlling
Compiz Fusion. Upon launch, it will attempt to start Compiz Fusion
automatically. You may need to select a window decorator, if one does not
appear.

%package gtk
Requires:  pygtk2
Requires:  %{name} = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   GTK UI for fusion-icon
Provides:  %{name}-ui=%{version}-%{release}

%description gtk
This package provides the gtk UI for fusion-icon

%package qt
Requires:  PyQt4
Requires:  %{name} = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   QT UI for fusion-icon
Provides:  %{name}-ui=%{version}-%{release}

%description qt
This package provides the qt UI for fusion-icon

%prep
%setup -q -n %{name}-%{commit}
%patch0

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="fedora"             \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/   \
  --delete-original                                \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/fusion-icon
%{_datadir}/applications/fedora-%{name}.desktop
%dir %{python_sitelib}/FusionIcon/
%{python_sitelib}/FusionIcon/*py*
%{_datadir}/icons/hicolor/*/apps/fusion-icon.png
%{_datadir}/icons/hicolor/scalable/apps/fusion-icon.svg
%if %{fedora} > 8
%{python_sitelib}/fusion_icon-%{version}-py?.?.egg-info
%endif
%doc COPYING

%files gtk
%defattr(-,root,root,-)
%{python_sitelib}/FusionIcon/interface_gtk/

%files qt
%defattr(-,root,root,-)
%{python_sitelib}/FusionIcon/interface_qt4/

%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.0-0.8.5e2dc9git
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.7.5e2dc9git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.6.5e2dc9git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.0-0.5.5e2dc9git
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.0-0.4.5e2dc9git
- Rebuild for Python 2.6

* Thu Jun 26 2008 Karol Trzcionka <karlikt at gmail.com> - 0.1.0-0.3.5e2dc9git
- Fix F10 building
* Mon Mar 17 2008 Karol Trzcionka <karlikt at gmail.com> - 0.1.0-0.2.5e2dc9git
- Fix typo in %%files 
* Mon Mar 17 2008 Karol Trzcionka <karlikt at gmail.com> - 0.1.0-0.1.5e2dc9git
- Update tarball
- Change method of releasing
* Wed Feb 13 2008 Karol Trzcionka <karlikt at gmail.com> - 0-0.5.20080213git
- Update tarball
* Tue Jan 22 2008 Karol Trzcionka <karlikt at gmail.com> - 0-0.4.20071206git.1
- Fix name of egg-info
* Tue Jan 22 2008 Karol Trzcionka <karlikt at gmail.com> - 0-0.4.20071206git
- Add egg-info in files section
* Fri Dec 21 2007 Karol Trzcionka <karlikt at gmail.com> - 0-0.3.20071206git
- Fix qt interface
- Add Provides/Requires fusion-icon-ui
* Thu Dec 06 2007 Karol Trzcionka <karlikt at gmail.com> - 0-0.2.20071206git
- Set excludearch: ppc64
- Delete .git directory from tarball
* Mon Nov 26 2007 Karol Trzcionka <karlikt at gmail.com> - 0-0.1.20071126git
- Initial release

